package com.gh.gamecenter.category2

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.base.DownloadToolbarActivity
import com.gh.gamecenter.R
import com.gh.gamecenter.common.constant.EntranceConsts
import com.gh.gamecenter.common.utils.updateStatusBarColor

class CategoryV2Activity : DownloadToolbarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setToolbarMenu(R.menu.menu_search)
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    override fun showDownloadMenu(): Boolean {
        return true
    }

    override fun provideNormalIntent(): Intent {
        return getTargetIntent(this, CategoryV2Activity::class.java, CategoryV2Fragment::class.java)
    }

    override fun isAutoResetViewBackgroundEnabled() = true

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(R.color.background_white, R.color.background_white)
        getMenuItem(R.id.menu_search).setIcon(R.drawable.ic_column_search)
    }

    companion object {
        fun getIntent(context: Context, catalogId: String, catalogTitle: String, entrance: String): Intent {
            val bundle = Bundle()
            bundle.putString(EntranceConsts.KEY_CATEGORY_ID, catalogId)
            bundle.putString(EntranceConsts.KEY_CATEGORY_TITLE, catalogTitle)
            bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance)
            return getTargetIntent(context, CategoryV2Activity::class.java, CategoryV2Fragment::class.java, bundle)
        }
    }
}